org.apache.felix.ipojo.manipulator.metadata

## Class FileMetadataProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.FileMetadataProvider

All Implemented Interfaces:
  MetadataProvider

    public class FileMetadataProvider
    extends Object
    implements MetadataProvider

A `FileMetadataProvider` is responsible of loading all the .xml files in the given directory. It also accepts a direct reference to a metadata.xml file.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`FileMetadataProvider(File source, Reporter reporter)` Constructs a metadata provider using the given source File (directory or file) to load iPOJO metadata.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.apache.felix.ipojo.metadata.Element>` `getMetadatas()` Gather all the metadata.
`void` `setValidateUsingLocalSchemas(boolean validateUsingLocalSchemas)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileMetadataProvider

    public FileMetadataProvider(File source,
                                Reporter reporter)

Constructs a metadata provider using the given source File (directory or file) to load iPOJO metadata.

Parameters:
  `source` - source of the metadata
  `reporter` - feedback reporter

### Method Detail

#### setValidateUsingLocalSchemas

    public void setValidateUsingLocalSchemas(boolean validateUsingLocalSchemas)

#### getMetadatas

    public List<org.apache.felix.ipojo.metadata.Element> getMetadatas()
                                                               throws IOException

Description copied from interface: `MetadataProvider`
Gather all the metadata.

Specified by:
  `getMetadatas` in interface `MetadataProvider`
Returns:
  a list of iPOJO metadata (never return null)
Throws:
  `IOException` - if something wet wrong during gathering.